Files
Create File Upload URL
Creates a new file Upload URL.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
purpose*string
Purpose value for this resource.
Match
^[a-z][a-z0-9_]*$Length
1 <= length <= 100filename?string
Filename value for this resource.
Length
1 <= length <= 1024size*integer
Exact size of the upload body in bytes
Range
0 < value <= 9007199254740991Response Body
application/json
curl -X POST "https://api.getmateo.com/v1/files/upload_url" \ -H "Content-Type: application/json" \ -d '{ "purpose": "string", "size": 9007199254740991 }'{ "file_id": "8a0cfb4f-ddc9-436d-91bb-75133c583767", "purpose": "string", "url": "http://example.com", "expires_at": "2019-08-24T14:15:22Z"}